module HousingMisc
  class ApplicationController < ::ActionController::Base
    before_action :new_relic_custom_params

    def new_relic_custom_params
      ::NewRelic::Agent.add_custom_attributes(:http_referer =>  request.referer)
      ::NewRelic::Agent.add_custom_attributes(:referring_app =>  request.headers["app-name"])
      ::NewRelic::Agent.add_custom_attributes(:global_request_id =>  Thread.current[:global_request_id])
    end
  end
end