module HousingMisc
  class LogsController < ApplicationController
    include ApiHelper
    before_action :validate_params

    def push_logs
      file_name = params[:file_name]
      begin
        file_path = "#{Rails.root}/log/#{file_name}"
        response = upload_log_to_s3(file_path)
        render json: {message: "Your file has been uploaded in bucket: #{HousingMisc.bucket}"}
      rescue => e
        render json: {message: e.message }, status: 422
      end
    end


    private

    def validate_params
      render json: {message: "file name is mandatory"}, status: 422 and return if params[:file_name].blank?
    end

  end
end